| Home | Libraries | People | FAQ | More

###### string::operator+= (1 of 2 overloads)

Append characters from a string.

###### Synopsis

    string&
    operator+=(
        string_view sv);

###### Description

Appends `{sv.begin(), sv.end())` to the end of the string.

###### Exception Safety

Strong guarantee.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`sv` | The `string_view` to append.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `size() + sv.size() > max_size()`